<?php
/**
 * Brands
 *
 * @package Beauty
 */

$menus['footer']['child']['footer-brands'] = array(
	'title' => esc_html__( 'Brands Section', 'beauty' ),
	'desc'  => esc_html__( 'From here, you can control the Brands Section.', 'beauty' ),
);

$sections['footer-brands'] = array(

	array(
		'id'       => 'footer_brands_section',
		'type'     => 'switch',
		'title'    => esc_html__( 'Brands Section', 'beauty' ),
		'sub_desc' => esc_html__( 'Enable or disable Brands Section with this option.', 'beauty' ),
		'std'      => '0',
	),

	array(
		'id'         => 'footer_brands_alignment',
		'type'       => 'button_set',
		'title'      => esc_html__( 'Brands Section Alignment', 'beauty' ),
		'sub_desc'   => esc_html__( 'Choose alignment of Brands Section.', 'beauty' ),
		'options'    => array(
			'left'   => esc_html__( 'Left', 'beauty' ),
			'center' => esc_html__( 'Center', 'beauty' ),
			'right'  => esc_html__( 'Right', 'beauty' ),
		),
		'std'        => 'center',
		'class'      => 'green',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'footer_brands_section',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'brands_section_title',
		'type'       => 'text',
		'title'      => esc_html__( 'Brands Title', 'beauty' ),
		'sub_desc'   => esc_html__( 'Enter brands title here.', 'beauty' ),
		'std'        => esc_html__( 'Our Brands:', 'beauty' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'footer_brands_section',
				'value'      => '1',
				'comparison' => '==',
			),
		),

	),

	array(
		'id'         => 'footer_brands_items',
		'type'       => 'group',
		'title'      => esc_html__( 'Brands', 'beauty' ),
		'groupname'  => esc_html__( 'Brand', 'beauty' ), // Group name.
		'subfields'  => array(
			array(
				'id'       => 'brand_title',
				'type'     => 'text',
				'title'    => esc_html__( 'Title', 'beauty' ),
				'sub_desc' => esc_html__( 'The title will not be shown.', 'beauty' ),
			),
			array(
				'id'       => 'brand_image',
				'type'     => 'upload',
				'title'    => esc_html__( 'Image', 'beauty' ),
				'sub_desc' => esc_html__( 'Upload or select an image for brand', 'beauty' ),
			),
			array(
				'id'       => 'brand_url',
				'type'     => 'text',
				'title'    => esc_html__( 'Link', 'beauty' ),
				'sub_desc' => esc_html__( 'Insert a link URL of brand', 'beauty' ),
				'std'      => '#',
			),
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'footer_brands_section',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'brands_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'beauty' ),
		'sub_desc'   => esc_html__( 'Brands Section margin.', 'beauty' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'footer_brands_section',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'brands_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'beauty' ),
		'sub_desc'   => esc_html__( 'Brands Section padding.', 'beauty' ),
		'std'        => array(
			'top'    => '30px',
			'right'  => '0',
			'bottom' => '27px',
			'left'   => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'footer_brands_section',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'brands_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'beauty' ),
		'sub_desc'   => esc_html__( 'Select border', 'beauty' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'footer_brands_section',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
);
