<?php
/**
 * Single Subscribe
 *
 * @package Beauty
 */

$menus['single-authorbox'] = array(
	'title' => esc_html__( 'Author Box', 'beauty' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Author box in single posts page.', 'beauty' ),
);

$mts_patterns = array(
	'nobg' => array( 'img' => $uri . 'bg-patterns/nobg.png' ),
);
for ( $i = 0; $i <= 52; $i++ ) {
	$mts_patterns[ 'pattern' . $i ] = array( 'img' => $uri . 'bg-patterns/pattern' . $i . '.png' );
}

for ( $i = 1; $i <= 29; $i++ ) {
	$mts_patterns[ 'hbg' . $i ] = array( 'img' => $uri . 'bg-patterns/hbg' . $i . '.png' );
}

$sections['single-authorbox'] = array(

	array(
		'id'    => 'single_authorbox_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author box Settings', 'beauty' ),
	),
	array(
		'id'       => 'single_authorbox_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Author box Background', 'beauty' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'beauty' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#fff2f0',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'single_authorbox_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'beauty' ),
		'sub_desc' => esc_html__( 'Set Author box margin from here.', 'beauty' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '80px',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_authorbox_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'beauty' ),
		'sub_desc' => esc_html__( 'Set Author box padding from here.', 'beauty' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '40px',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_authorbox_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'beauty' ),
		'sub_desc' => esc_html__( 'Author box border radius.', 'beauty' ),
		'std'      => '0',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'single_authorbox_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'beauty' ),
		'sub_desc' => esc_html__( 'Select border', 'beauty' ),
	),
	array(
		'id'    => 'single_authorbox_author_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Name Font', 'beauty' ),
		'std'   => array(
			'preview-text'  => 'Author Box Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Crimson Text',
			'font-weight'   => '400',
			'font-size'     => '30px',
			'line-height'   => '40px',
			'color'         => '#2d2628',
			'css-selectors' => '.postauthor h5, .postauthor h5 a',
		),
	),
	array(
		'id'    => 'single_authorbox_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Text Font', 'beauty' ),
		'std'   => array(
			'preview-text'  => 'Author Box Text Font',
			'preview-color' => 'light',
			'font-family'   => 'Karla',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => '30px',
			'color'         => '#8e7b7e',
			'css-selectors' => '.postauthor p',
		),
	),

	array(
		'id'    => 'single_author_img_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author Image Settings', 'beauty' ),
	),
	array(
		'id'       => 'single_author_image_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'beauty' ),
		'sub_desc' => esc_html__( 'Set Author image margin from here.', 'beauty' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '40px',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_author_image_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'beauty' ),
		'sub_desc' => esc_html__( 'Author image border radius.', 'beauty' ),
		'std'      => '0',
		'args'     => array( 'type' => 'number' ),
	),

	array(
		'id'    => 'single_authorbox_social_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author box Social Settings', 'beauty' ),
	),

	array(
		'id'       => 'authorbox_social_share',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Author Social Share', 'beauty' ),
		'sub_desc' => esc_html__( 'Enable/Disable author social share in the authorbox.', 'beauty' ),
		'std'      => '1',
	),
	array(
		'id'         => 'author_social_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'beauty' ),
		'sub_desc'   => esc_html__( 'Set author social share margin from here.', 'beauty' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '10px',
			'bottom' => '5px',
			'left'   => '5px',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'authorbox_social_share',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'author_social_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'beauty' ),
		'sub_desc'   => esc_html__( 'Set author social share padding from here.', 'beauty' ),
		'std'        => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'authorbox_social_share',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'author_social_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Social Background Color', 'beauty' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'beauty' ),
		'std'        => '',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'authorbox_social_share',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'author_social_hover_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Social Background Hover Color', 'beauty' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'beauty' ),
		'std'        => '',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'authorbox_social_share',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'author_social_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Social Color', 'beauty' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'beauty' ),
		'std'        => '#2d2628',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'authorbox_social_share',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'author_social_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Social Hover Color', 'beauty' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'beauty' ),
		'std'        => beauty_get_settings( 'mts_color_scheme' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'authorbox_social_share',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'author_social_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Social border radius', 'beauty' ),
		'std'        => '0',
		'args'       => array( 'type' => 'number' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'authorbox_social_share',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

);
