<?php
/**
 * Single Subscribe
 *
 * @package Beauty
 */

$menus['single-subscribe'] = array(
	'title' => esc_html__( 'Subscribe Box', 'beauty' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Subscribe box in single posts page.', 'beauty' ),
);

$sections['single-subscribe'] = array(

	array(
		'id'    => 'single_subscribe_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Settings', 'beauty' ),
	),

	array(
		'id'       => 'single_subscribe_position',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Subscribe Position', 'beauty' ),
		'sub_desc' => esc_html__( 'Choose the position for the subscription box, below content will be Full width', 'beauty' ),
		'options'  => array(
			'subscribe-default' => esc_html__( 'Default', 'beauty' ),
			'subscribe-full'    => esc_html__( 'Below Content', 'beauty' ),
		),
		'std'      => 'subscribe-full',
	),

	array(
		'id'       => 'single_subscribe_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Subscribe box Background', 'beauty' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'beauty' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'single_subscribe_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'beauty' ),
		'sub_desc' => esc_html__( 'Set Subscribe box margin from here.', 'beauty' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '30',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_subscribe_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'beauty' ),
		'sub_desc' => esc_html__( 'Set Subscribe box padding from here.', 'beauty' ),
		'std'      => array(
			'top'    => '35px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'single_subscribe_leftcontent_alignment',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Subscribe Left Content Alignment', 'beauty' ),
		'sub_desc' => esc_html__( 'Choose single subscribe left content alignment.', 'beauty' ),
		'options'  => array(
			'left'   => esc_html__( 'Left', 'beauty' ),
			'center' => esc_html__( 'Center', 'beauty' ),
			'right'  => esc_html__( 'Right', 'beauty' ),
		),
		'std'      => 'left',
	),

	array(
		'id'    => 'single_subscribe_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Title Font', 'beauty' ),
		'std'   => array(
			'preview-text'   => 'Subscribe Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Crimson Text',
			'font-weight'    => '400',
			'font-size'      => '34px',
			'line-height'    => '40px',
			'color'          => '#2d2628',
			'additional-css' => 'text-transform: capitalize;',
			'css-selectors'  => '.single-subscribe .widget #wp-subscribe .title',
		),
	),
	array(
		'id'    => 'single_subscribe_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Text Font', 'beauty' ),
		'std'   => array(
			'preview-text'  => 'Subscribe Text Font',
			'preview-color' => 'light',
			'font-family'   => 'Karla',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => '24px',
			'color'         => '#8e8084',
			'css-selectors' => '.single-subscribe .widget #wp-subscribe p.text, .single-subscribe .widget .wp-subscribe .wps-consent-wrapper label, .single-subscribe .widget .wp-subscribe-wrap .error, .single-subscribe .widget .wp-subscribe-wrap .thanks',
		),
	),
	array(
		'id'    => 'single_subscribe_small_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Small Text Font', 'beauty' ),
		'std'   => array(
			'preview-text'  => 'Subscribe Small Text',
			'preview-color' => 'light',
			'font-family'   => 'Karla',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'color'         => '#8e8084',
			'css-selectors' => '.single-subscribe .widget .wp-subscribe-wrap p.footer-text',
		),
	),
	array(
		'id'       => 'single_subscribe_input_background',
		'type'     => 'color',
		'title'    => esc_html__( 'Background Color', 'beauty' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'beauty' ),
	),
	array(
		'id'    => 'single_subscribe_input_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Input Fields Font', 'beauty' ),
		'std'   => array(
			'preview-text'  => 'Subscribe Input Fields',
			'preview-color' => 'light',
			'font-family'   => 'Karla',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'color'         => '#a7a9ad',
			'css-selectors' => '.single-subscribe .widget #wp-subscribe input.email-field, .single-subscribe .widget #wp-subscribe input.name-field',
		),
	),
	array(
		'id'       => 'single_subscribe_submit_backgroud',
		'type'     => 'color',
		'title'    => esc_html__( 'Background Color', 'beauty' ),
		'sub_desc' => esc_html__( 'Submit button background color', 'beauty' ),
		'std'      => beauty_get_settings( 'mts_color_scheme' ),
	),

	array(
		'id'    => 'single_subscribe_custom_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Subscribe Right Content', 'beauty' ),
	),

	array(
		'id'    => 'single_subscribe_custom_title',
		'type'  => 'text',
		'title' => esc_html__( 'Single Subscribe Custom Title', 'beauty' ),
		'std'   => esc_html__( 'Learn how to advertise with us', 'beauty' ),
	),

	array(
		'id'       => 'single_subscribe_custom_url',
		'type'     => 'text',
		'title'    => esc_html__( 'Single Subscribe Custom URL', 'beauty' ),
		'sub_desc' => esc_html__( 'Enter Single Subscribe Custom URL.', 'beauty' ),
		'std'      => '#',
	),

	array(
		'id'       => 'single_subscribe_button_bg',
		'type'     => 'color',
		'title'    => esc_html__( 'Set single Subscribe custom button background from here.', 'beauty' ),
		'sub_desc' => esc_html__( '.', 'beauty' ),
		'std'      => '#2d2628',
	),

	array(
		'id'       => 'single_subscribe_rightcontent_alignment',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Subscribe Right Content Alignment', 'beauty' ),
		'sub_desc' => esc_html__( 'Choose single subscribe right content alignment.', 'beauty' ),
		'options'  => array(
			'left'   => esc_html__( 'Left', 'beauty' ),
			'center' => esc_html__( 'Center', 'beauty' ),
			'right'  => esc_html__( 'Right', 'beauty' ),
		),
		'std'      => 'left',
	),

	array(
		'id'    => 'single_subscribe_custom_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Subscribe Custom Title Typography', 'beauty' ),
		'std'   => array(
			'preview-text'   => 'CTA Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Crimson Text',
			'font-weight'    => '400',
			'font-size'      => '34px',
			'line-height'    => '40px',
			'color'          => '#2d2628',
			'additional-css' => 'text-transform: capitalize;',
			'css-selectors'  => '.single-subscribe-title',
		),
	),
);
