<?php
/**
 * Header Layout
 *
 * @package Beauty
 */

?>

<header id="site-header" class="main-header <?php echo esc_attr( beauty_get_settings( 'mts_header_style' ) ); ?> clearfix" role="banner" itemscope itemtype="http://schema.org/WPHeader">
<?php
if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'header' ) ) {
	if ( beauty_get_settings( 'mts_show_primary_nav' ) === 1 ) {
		?>
			<div id="primary-nav">
				<div class="container clearfix">
					<div id="primary-navigation" class="primary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
						<nav class="navigation clearfix">
							<?php
							// Primary Navigation.
							if ( has_nav_menu( 'primary-menu' ) ) {
								wp_nav_menu( array(
									'theme_location' => 'primary-menu',
									'menu_class'     => 'menu clearfix',
									'container'      => '',
									'walker'         => new beauty_menu_walker(),
								));
							}
							?>
						</nav>
					</div>
				</div>
			</div>
		<?php } ?>

		<?php if ( beauty_get_settings( 'mts_sticky_nav' ) ) { ?>
		<div class="clear" id="catcher"></div>
		<div id="header" class="sticky-navigation">
		<?php } else { ?>
		<div id="header">
		<?php } ?>
			<div class="container">

				<div class="logo-wrap">
					<?php beauty_logo(); ?>
				</div>

				<?php
				// Header Search icon.
				if ( ! empty( beauty_get_settings( 'header_search_box' ) ) ) {
					?>
					<div class="header-search-icon">
						<span class="s-icon"><i class="fa fa-search fa-flip-horizontal"></i></span>
						<span class="close"><i class="fa fa-times"></i></span>
					</div>
					<div id="search-6" class="widget header-search">
						<div class="container">
							<?php get_search_form(); ?>
						</div>
					</div><!-- END #search-6 -->
					<?php
				}

				// Header Social Icons.
				if ( ! empty( beauty_get_settings( 'mts_header_social_share' ) ) && ! empty( beauty_get_settings( 'mts_header_social' ) ) && is_array( beauty_get_settings( 'mts_header_social' ) ) ) {
					$header_icons = beauty_get_settings( 'mts_header_social' );
					beauty_social_icons( $header_icons, true );
				}

				?>

				<div id="secondary-navigation" class="secondary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
					<a href="#" id="pull" class="toggle-mobile-menu"><span><?php esc_html_e( 'Menu', 'beauty' ); ?></span></a>
					<?php if ( has_nav_menu( 'mobile' ) ) { ?>

						<nav class="navigation clearfix">
							<?php
							// Secondary Navigation.
							if ( has_nav_menu( 'secondary-menu' ) ) {
								wp_nav_menu( array(
									'theme_location' => 'secondary-menu',
									'menu_class'     => 'menu clearfix',
									'container'      => '',
									'walker'         => new beauty_menu_walker(),
								));
							}
							?>
						</nav>
						<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
							<?php
							// Mobile Navigation.
							if ( has_nav_menu( 'mobile' ) ) {
								wp_nav_menu( array(
									'theme_location' => 'mobile',
									'menu_class'     => 'menu clearfix',
									'container'      => '',
									'walker'         => new beauty_menu_walker(),
								));
							}
							?>
						</nav>

					<?php } else { ?>

						<nav class="navigation clearfix mobile-menu-wrapper">
							<?php
							// Secondary Navigation.
							if ( has_nav_menu( 'secondary-menu' ) ) {
								wp_nav_menu( array(
									'theme_location' => 'secondary-menu',
									'menu_class'     => 'menu clearfix',
									'container'      => '',
									'walker'         => new beauty_menu_walker(),
								));
							}
							?>
						</nav>

					<?php } ?>
				</div>

			</div><!--.container-->

			<?php
			// Header Search.
			if ( ! empty( beauty_get_settings( 'header_search_box' ) ) ) {
				?>
			<div class="full-overlay"></div>
			<?php } ?>

		</div>
	<?php
}
?>
</header>
<?php get_template_part( 'template-parts/header/header', 'nav-adcode' ); ?>
<?php get_template_part( 'template-parts/header/header', 'adcode' ); ?>
